Subject: Re: [Bitcoin-development] bitcoin DNS addresses

From: Rick Wesson <[email-masked]>
Date: Tue, 26 Jul 2011 09:50:58 -0700

[snip]

> I totally agree, however I don't think DNS-based resolving is a good
> idea here.  HTTPS does have several advantages over a DNSSEC-based
> solution without any significant drawbacks that I can see.

To restate your (con dnssec) points:
   o DNS resolution of bitcoin addresses is bad because of potential
MITM attacks
   o DNSSEC is not a security measure for mitigating DNS resolution of
bitcoin addresses
      because the application would require its own dnssec enabled stub resolver

Please restate
   o HTTPS is your preferred method for resolution because?

If you can enumerate your advantages so I can develop a proper
response to the points you have raised.

thanks,

-rick